| OpenCV 4.3.0 Open Source Computer Vision

Classes | Public Member Functions | Friends | List of all members
cv::util::any Class Reference

`#include <opencv2/gapi/util/any.hpp>`

## Public Member Functions
template<class value_t >
| any (value_t &&arg)
| any (any const &src)
| any (any &src)
| any ()=default
| any (any &&)=default
any & | operator= (any &&)=default
any & | operator= (any const &src)

## Friends
template<class value_t >
value_t * | any_cast (any *operand)
template<class value_t >
const value_t * | any_cast (const any *operand)
void | swap (any &lhs, any &rhs)
template<class value_t >
value_t & | unsafe_any_cast (any &operand)
template<class value_t >
const value_t & | unsafe_any_cast (const any &operand)

## Constructor & Destructor Documentation

## ◆ any() [1/5]

template<class value_t >

cv::util::any::any | ( | value_t && | arg | ) |
| inline

## ◆ any() [2/5]

cv::util::any::any | ( | any const & | src | ) |
| inline

## ◆ any() [3/5]

cv::util::any::any | ( | any & | src | ) |
| inline

## ◆ any() [4/5]

cv::util::any::any | ( |  | ) |
| default

## ◆ any() [5/5]

cv::util::any::any | ( | any && |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

any& cv::util::any::operator= | ( | any && |  | ) |
| default

## ◆ operator=() [2/2]

any& cv::util::any::operator= | ( | any const & | src | ) |
| inline

## Friends And Related Function Documentation

## ◆ any_cast [1/2]

template<class value_t >

value_t* any_cast | ( | any * | operand | ) |
| friend

## ◆ any_cast [2/2]

template<class value_t >

const value_t* any_cast | ( | const any * | operand | ) |
| friend

## ◆ swap

void swap | ( | any & | lhs,
|  | any & | rhs
| ) |  |
| friend

## ◆ unsafe_any_cast [1/2]

template<class value_t >

value_t& unsafe_any_cast | ( | any & | operand | ) |
| friend

## ◆ unsafe_any_cast [2/2]

template<class value_t >

const value_t& unsafe_any_cast | ( | const any & | operand | ) |
| friend

The documentation for this class was generated from the following file:

- opencv2/gapi/util/any.hpp